summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:29:01 +0000
committerBernhard Tittelbach <service-anytun@tittelbach.org>2009-12-05 16:29:01 +0000
commitfc324fbac07de290835200517e2fe6bd7b8c5d3e (patch)
treeacc491d51a178addecb85a6c1c9e1f9941700313
parentRDEPEND (diff)
..
-rw-r--r--gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild26
1 files changed, 15 insertions, 11 deletions
diff --git a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
index ff72f29..c040019 100644
--- a/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
+++ b/gentoo-linux/net-misc/anytun/anytun-0.3.1.ebuild
@@ -7,10 +7,12 @@ inherit eutils
DESCRIPTION="VPN daemon using Secure Anycast Tunneling"
HOMEPAGE="http://anytun.org/"
SRC_URI="http://anytun.org/~equinox/${P}.tar.gz"
+
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples gcrypt"
+
DEPEND=">=dev-libs/boost-1.35
<dev-libs/boost-1.40
gcrypt? ( dev-libs/libgcrypt )
@@ -20,6 +22,7 @@ RDEPEND=">=dev-libs/boost-1.35
<dev-libs/boost-1.40
gcrypt? ( dev-libs/libgcrypt )
!gcrypt? ( dev-libs/openssl )"
+
S="${WORKDIR}/${P}/src"
src_compile() {
@@ -29,7 +32,9 @@ src_compile() {
# much for your little script and the build would fail
#econf ${myconf} || die "configure failed"
./configure ${myconf} || die "configure failed"
+
emake || die "make failed"
+
if use doc ; then
einfo "Building manpages"
emake manpage || die "failed building manpages"
@@ -38,15 +43,15 @@ src_compile() {
src_install() {
local pkgroot="${WORKDIR}/${P}"
+
dosbin anytun || die "failed to copy/install an executable"
dobin anytun-config anytun-controld anytun-showtables anytun-nosync || die "failed to copy/install an executable"
newinitd "${FILESDIR}/${PN}-0.3.1.init" anytun || die "failed to copy/install initrd script"
+ keepdir /var/run/anytun || die "failed to mkdir"
+ keepdir /var/run/anytun-controld || die "failed to mkdir"
+
insinto /usr/share/${P}/wireshark-lua/
doins ${pkgroot}/wireshark-lua/* || die "failed to install wireshark-lua contrib script"
- dodir /var/run/anytun || die "failed to mkdir"
- keepdir /var/run/anytun
- dodir /var/run/anytun-controld || die "failed to mkdir"
- keepdir /var/run/anytun-controld
if use examples; then
insinto /usr/share/doc/${PF}/etc-anytun-examples/
doins -r ${pkgroot}/etc/anytun/* || die "failed to install examples"
@@ -55,7 +60,6 @@ src_install() {
dodoc ${pkgroot}/AUTHORS ${pkgroot}/ChangeLog ${pkgroot}/LICENSE ${pkgroot}/README || die "failed to install docs"
cd ${S}/man/
doman anyrtpproxy.8 anytun-config.8 anytun-controld.8 anytun-showtables.8 anytun.8 || die "failed to install manpages"
- prepallman || die "failed to prep manpages"
fi
}
@@ -74,13 +78,13 @@ pkg_postinst() {
einfo "Example configuration files have been installed in"
einfo " /usr/share/doc/${PF}/etc-anytun-examples/"
einfo "You can copy them to /etc/anytun using"
- einfo "> emerge --config anytun"
+ einfo "# emerge --config anytun"
einfo
else
einfo "You did not install examples."
einfo "If you need example configs to get you started, "
einfo "you can extract them from the anytun.tar.gz or "
- einfo "e.g.: tar xzv --strip-components 3 -f ${DISTDIR}/${P}.tar.gz -C /etc/anytun/ ${P}/etc/anytun"
+ einfo "# tar xzv --strip-components 3 -f ${DISTDIR}/${P}.tar.gz -C /etc/anytun/ ${P}/etc/anytun"
einfo "or visit the anytun wiki online"
einfo
fi
@@ -89,13 +93,13 @@ pkg_postinst() {
einfo "start them using /etc/init.d/anytun"
einfo "Or you can forget the autostart file and create"
einfo "gentoo-style anytun.{VPN} initrd scripts for each VPN"
- einfo "e.g.> ln -s /etc/init.d/anytun /etc/init.d/anytun.client1"
+ einfo "# ln -s /etc/init.d/anytun /etc/init.d/anytun.client1"
einfo
einfo "Don't forget to "
- einfo "> rc-update add anytun default"
+ einfo "# rc-update add anytun default"
einfo "or"
- einfo "> rc-update add anytun.client1 default"
+ einfo "# rc-update add anytun.client1 default"
einfo
einfo "You can disect anytun traffic using wireshark by plugging the script"
- einfo "/usr/share/${P}/wireshark-lua/satp.lua into wireshark"
+ einfo " /usr/share/${P}/wireshark-lua/satp.lua into wireshark"
}